Skip to navigation

🧪 List a Carrier’s Operating Authorities

Retrieve the operating authorities (common/contract/broker) held by a carrier, by DOT number.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dot_numberstringRequired

Query parameters

registryenumOptional

Registry/authority that maintains the carrier record.

Allowed values:

Response

Successful Response
idstringformat: "uuid"
registryenum

Registry/authority that maintains the carrier record

Allowed values:
authority_numberstring
created_atdatetime
updated_atdatetime
fleet_registry_idstring or nullOptional
legal_namestring or nullOptional
dba_namestring or nullOptional
common_statusenum or nullOptional

Operating authority status for a specific authority type (common/contract/broker)

Allowed values:
contract_statusenum or nullOptional

Operating authority status for a specific authority type (common/contract/broker)

Allowed values:
broker_statusenum or nullOptional

Operating authority status for a specific authority type (common/contract/broker)

Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error